Skip to main content
`Ctrl`+`K`

# PetscDSUpdateBoundaryLabels

Update `DMLabel` in each boundary condition using the label name and the input `DM`

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscDSUpdateBoundaryLabels(PetscDS ds, DM dm)

Not Collective

## Input Parameters

- ds - The source `PetscDS` object

- dm - The `DM` holding labels

## See Also

`PetscDS`, `DMBoundary`, `DM`, `PetscDSCopyBoundary()`, `PetscDSCreate()`, `DMGetLabel()`

## Level

intermediate

## Location

src/dm/dt/interface/dtds.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages